#include<bits/stdc++.h>
using namespace std;
int n,l,b;
int main(){
    cin>>n>>l;
    for(int i=1;i<=n;i++){
        cin>>b;
        if(b<l){
            cout<<i<<endl;
            break;
        }
        if(i==n && b>l){
            cout<<-1<<endl;
            return 0;
        }
    }



    return 0;
}